%global momorel 6

%global xfce4ver 4.6.2

Summary:	WaveLAN plugin for the Xfce panel
Name: 		xfce4-wavelan-plugin
Version: 	0.5.5
Release:	%{momorel}m%{?dist}
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-wavelan-plugin
Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
NoSource:       0
License:        Modified BSD
Group: 		User Interface/Desktops

BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  xfce4-panel-devel >= %{xfce4ver}
BuildRequires:  libxfcegui4-devel >= %{xfce4ver}
BuildRequires:  gtk2-devel
BuildRequires:  libxml2-devel
BuildRequires:  pkgconfig
BuildRequires:	gettext, perl-XML-Parser
Requires:	xfce4-panel >= %{xfce4ver}

%description 
A plugin for the Xfce panel that monitors a wireless LAN interface. It 
displays stats for signal state, signal quality and network name (SSID).

%prep
%setup -q

%build
%configure --disable-static LIBS="-lm"
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} mandir=%{_mandir}
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/locale/*/*/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.5-6m)
- full rebuild for mo7 release

* Tue Aug 10 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.5-5m)
- rebuild against xfce4-4.6.2

* Wed Jul 28 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.5-4m)
- fix build

* Fri Apr 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.5-3m)
- good-bye autoreconf

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.5-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue May 12 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.5-1m)
- update to 0.5.5

* Tue May 12 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.5.4-7m)
- add autoreconf. need libtool-2.2.x

* Wed Mar 04 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5.4-6m)
- fix BuildRequires

* Sun Mar  1 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.4-5m)
- rebuild against xfce4-4.6

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.4-4m)
- rebuild against rpm-4.6

* Sat Jan 10 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.4-3m)
- drop Patch0, already merged upstream
- License: Modified BSD

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.4-2m)
- rebuild against gcc43

* Wed Dec  5 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.4-1m)
- update to 0.5.4
- rebuild against xfce4 4.4.2
- why only gziped source? (Source0)

* Fri Apr 20 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.3-3m)
- rebuild against xfce4 4.4.1

* Thu Mar  1 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.5.3-2m)
- Patch0: xfce4-wavelan-plugin-0.5.3-kh.patch

* Mon Jan 29 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.3-1m)
- update to 0.5.3
- rebuild against xfce4 4.4.0

* Fri Sep  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.1-5m)
- delete libtool library
- rebuild against libxfcegui4-4.2.3-2m xfce4-panel-4.2.3-4m

* Fri May 20 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.1-4m)
- rebuild against xfce4 4.2.2

* Thu Mar 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.1-3m)
- rebuild against xfce4 4.2.1

* Mon Jan 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.1-2m)
- rebuild against xfce4 4.2.0

* Tue Dec 14 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.1-1m)
- update to 0.4.1

* Thu Oct 28 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.0-2m)
- rebuild against xfce4 4.1.90

* Fri Aug 20 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.4.0-1m)

* Sun Jun 20 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.3.2-1m)
- import to Momonga
